spring:
  datasource:
    url: jdbc:kingbase8://192.168.1.221:54321/ccui2?useUnicode=true&characterEncoding=utf8&useSSL=false
    username: system
    password: 123123
    driver-class-name: com.kingbase8.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      maximum-pool-size: 100 # 最大连接数
      minimum-idle: 10 # 最小连接数
      idle-timeout: 300000 # 一个连接idle状态的最大时长，默认:10分钟
      connection-timeout: 30000 # 等待连接池分配连接的最大时长，默认:30秒
  jpa:
    database: oracle
    show-sql: false
    open-in-view: true
    hibernate:
      ddl-auto: update
  messages:
    encoding: utf-8
  redis:
    host: localhost
    port: 6379
    timeout: 5000
    password: 1213123
    database: 0
  data:
    mongodb:
      database: khc_system
      host: localhost
      port: 22217
      username: khcsystem
      password: 123123
  servlet:
    multipart:
      max-file-size: 100MB # 单个文件大小
      max-request-size: 100MB # 设置总上传的数据大小
      enabled: true #开启
server:
  port: 8066
  # 解决乱码
  tomcat:
    uri-encoding: UTF-8
  tongweb:
    license:
      path: c:\\cx\\license.dat
  servlet:
    encoding:
      charset: utf-8
      enabled: true
      force: true
    context-path: /gd-api

lucene:
  index:
    dir: ./lucene/

logging:
  level:
    #root: debug
    cn.com.capcloud: debug #这里使用了日志组件的程序所在的路径名
